.details-page {
  width: 100%;
  max-width: 81rem;
  margin: 9.4rem auto;
  padding: 0 4rem;
  display: flex;
  flex-direction: column;
  align-items: center;

  .top-bar {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    margin-bottom: 2.4rem;

    .back-link {
      display: flex;
      align-items: center;
      font-weight: 700;
      font-size: 1.4rem;
      line-height: 2rem;
      text-decoration: none;
      color: #647196;
      cursor: pointer;
    }

    .back-link::before {
      content: "";
      width: 0.6rem;
      height: 0.8rem;
      background-repeat: no-repeat;
      background-size: contain;
      background-image: url(data:image/svg+xml;base64,PHN2ZyBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA2IDEwIj48cGF0aCBkPSJNNC4zMzQgOWwtNC00IDQtNCIgc3Ryb2tlPSIjNDY2MUU2IiBzdHJva2Utd2lkdGg9IjIiLz48L3N2Zz4=);
      margin-right: 1.6rem;
    }

    .bar-button {
      background-color: #4661e6;
      border-radius: 1rem;
      padding: 1.2rem 2.4rem;
      font-weight: 700;
      font-size: 1.4rem;
      line-height: 2rem;
      color: #f2f4fe;
      text-decoration: none;
    }

    .bar-button:hover,
    .bar-button:active {
      background-color: #7c91f9;
    }
  }

  .feedback-comments {
    width: 100%;
    padding: 2.4rem 3.2rem;
    background: #fff;
    border-radius: 1rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 2rem;

    .comments-title {
      font-weight: 700;
      font-size: 1.8rem;
      line-height: 2.6rem;
      letter-spacing: -0.25px;
      color: #3a4374;
      margin: 0 0 2.8rem;
    }

    .comment-first {
      position: relative;
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      padding-bottom: 3.2rem;
      border-bottom: 1px solid rgba(140, 146, 179, 0.25);
      margin-bottom: 3.2rem;

      .comment-info {
        width: 100%;
        display: flex;
        align-items: center;
        margin-bottom: 1.6rem;

        .img-container {
          width: 5rem;
          height: 4rem;
          margin-right: 3.2rem;

          img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center center;
            border-radius: 50%;
          }
        }

        .comment-author {
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          width: 100%;

          .author-name {
            font-weight: 700;
            font-size: 1.4rem;
            line-height: 2rem;
            letter-spacing: -0.194444px;
            color: #3a4374;
            margin: 0;
          }
        }

        .reply-container {
          display: flex;

          .reply-btn {
            font-weight: 600;
            font-size: 1.3rem;
            line-height: 1.9rem;
            color: #4661e6;
            text-decoration: none;
            margin-left: 2rem;
            cursor: pointer;
          }
        }
      }
    }

    .comment-first:last-child {
      padding-bottom: 0;
      border-bottom: none;
      margin-bottom: 0;
    }

    .comment-text {
      font-size: 1.5rem;
      line-height: 2.2rem;
      color: #647196;
      margin: 0;
      padding-left: 7.2rem;
    }
  }

  .add-comment-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background: #fff;
    border-radius: 1rem;
    padding: 2.4rem 3.2rem;
    margin-top: 2.4rem;

    .form-heading {
      font-weight: 700;
      font-size: 1.8rem;
      line-height: 2.6rem;
      letter-spacing: -0.25px;
      color: #3a4374;
      margin: 0 0 2.4rem;
    }

    .username-input-container {
      margin: 1rem 0;
      font-size: 1.6rem;
    }
    .img-input-container {
      margin: 1rem 0;
      font-size: 1.6rem;
    }

    .form-textarea {
      width: 100%;
      background-color: #f7f8fd;
      border-radius: 0.5rem;
      font-size: 1.5rem;
      line-height: 2.2rem;
      color: #3a4374;
      border: none;
      appearance: none;
      outline-color: #4661e6;
      min-height: 9.6rem;
      padding: 1.6rem 2.4rem;
      margin-bottom: 1.6rem;
    }

    .bottom-line {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;

      .remaining {
        font-size: 1.5rem;
        line-height: 2.2rem;
        color: #647196;
        margin: 0;
      }

      .form-submit {
        background-color: #ad1fea;
        border-radius: 1rem;
        padding: 1.2rem 2.4rem;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        color: #f2f4fe;
        transition: all 0.2s ease-out;
        cursor: pointer;
        border: none;
        appearance: none;
      }
    }
  }
}
